零件工作台立方体工具

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Part Box and the translation is 74% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
FreeCAD.png
Next: Cone Part Cone.png Arrow-right.svg

Part Box.svg Part Box

Menu location
Part → Primitives → Cube
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part CreatePrimitives


概述

利用零件工作台(Part Workbench)中的立方体命令可向处于活动状态的文档中插入一个参数化 长方体几何图元。默认情况下,此立方体命令会在原点处插入一个10x10x10 mm且附有"cube"标签的立方体。在添加立方体对象后还可以修改这些参数。

在零件工作台中创建的立方体

如何使用

  • 在零件工作台中点选立方体图标Part Box.png
  • 或者,您也可以从菜单栏中选择Part → Primitives → Cube

选项

  • 通过 属性编辑器:
    • Length: 为您的立方体设置长度(默认值为10 mm)。
    • Width: 为您的立方体设置宽度(默认值为10 mm)。
    • Height: 为您的立方体设置高度(默认值为10 mm)。
    • Placement: 指定立方体在3D空间中的朝向与位置。参见 方位。参考点为立方体前侧左下角的那个点。
    • Label: 此标签记有为此对象起的名字。您可按自己的需求更改此名。

属性

Base

  • DATAPlacement: 指定立方体在3D空间中的朝向与位置。可参考 朝向。立方体前侧左下角角点即为参照点。
  • DATALabel: 为对应立方体对象指定的标签。可按需修改。

Box

  • DATALength: 此长度参数是立方体在x轴方向上的尺寸。
  • DATAWidth: 此宽度参数是立方体在y轴方向上的尺寸。
  • DATAHeight: 此高度参数是立方体在z轴方向上的尺寸。

零件工作台中立方体的属性

脚本

通过下列函数即可在以及python控制台中使用立方体命令:

FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • 其中的"myBox"为立方体对象的标签。
  • 这段代码会返回一个新创建的立方体类型对象。

您可以访问并修改立方体对象的属性。例如,利用下列代码即可修改长度、宽度与高度参数。

FreeCAD.ActiveDocument.myBox.Length = 25
FreeCAD.ActiveDocument.myBox.Width = 15
FreeCAD.ActiveDocument.myBox.Height = 30

您还可以通过下列代码修改立方体对象的方位:

FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))

FreeCAD - 版本

自FreeCAD 0.14版开始,零件工作台中的Box在GUI元素中被称为Cube,且默认标签为"Cube"。

FreeCAD.png
Next: Cone Part Cone.png Arrow-right.svg